profound-logoProfound CMS
⌘K
Admin
Theme
DocsGuidaBlogPhilosophy
DocsGuidaBlogPhilosophy

Hybrid

Instradamento parametricoTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Senza testa

Guida rapidaSplit Screen JSON Component Builder with LLMComponent Zod Pull

REST API

REST API OverviewgetConnect your websitegetGET /routesgetOttieni percorsogetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

PATCH /csv

Aggiorna i campi di una riga di origine CSV esistente di proprietà del chiamante.

Aggiorna i campi di una riga csv_sources esistente di proprietà dell'utente che effettua la chiamata.

Auth: Bearer JWT (WorkOS). L'aggiornamento è limitato al tuo utente (claim sub), quindi puoi modificare solo le tue sorgenti CSV.

Parametri di query

ParametroTipoObbligatorioNote
iduuidsìL'id della riga csv_sources.

Corpo della richiesta

{
  "schema_name": "post",
  "spreadsheet_data": [ { "title": "Riga 1" } ],
  "status": "pronto"
}
CampoTipoObbligatorioNote
schema_namestringnoNuovo nome dello schema.
spreadsheet_dataarraynoSostituisce raw_data; imposta row_count alla lunghezza dell'array.
statusstringnoNuovo stato.

Tutti e tre sono facoltativi, ma almeno uno deve essere fornito.

Risposta

La riga completa aggiornata:

{
  "id": "...",
  "user_id": "...",
  "schema_name": "post",
  "file_name": "data.csv",
  "file_url": null,
  "raw_data": [],
  "row_count": 1,
  "status": "pronto",
  "error_msg": null,
  "created_at": "2026-06-23T18:34:16Z",
  "updated_at": "2026-06-23T20:36:55Z"
}

Esempio

curl -X PATCH '{CMS_API_URL}/csv?id=<uuid>' \
  -H 'Authorization: Bearer <workos-jwt>' \
  -H 'Content-Type: application/json' \
  -d '{"status":"pronto"}'

Errori

  • 400 — nessun campo aggiornabile fornito
  • 401 — claim sub mancante o JWT non valido
  • 404 — nessuna riga corrispondente per id + il tuo utente
  • 500 — errore durante l'aggiornamento
Continue Reading
Previous‹POST /csv